﻿using System.Collections;
using UnityEngine.UI;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class SplashScreen : MonoBehaviour {

	public Image splashImage;
	public string loadLevel;

	// Use this for initialization
	IEnumerator Start () {
		splashImage.canvasRenderer.SetAlpha (0.0f);
		FadeIn ();
		yield return new WaitForSeconds (3f);
		FadeOut ();
		yield return new WaitForSeconds (3f);
		SceneManager.LoadScene(loadLevel);
	}

	void FadeIn () {
		splashImage.CrossFadeAlpha (1f, 1.5f, false);
	}

	void FadeOut () {
		splashImage.CrossFadeAlpha (0f, 2.5f, false);

	}
}
