﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Diamond : MonoBehaviour {


	private AudioSource audioComponent;
	private Animator m_Anim;

	private void Awake()
	{
		m_Anim = GetComponent<Animator>();
		audioComponent = GetComponent<AudioSource>();
	}
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	void OnCollisionEnter2D(Collision2D other){
		if (other.transform.tag == "Sinusoidal") {
			gameObject.GetComponent<Rigidbody2D> ().bodyType = RigidbodyType2D.Dynamic;
			Destroy (other.gameObject);
		}
		if (other.transform.tag == "Ground") {
			m_Anim.SetBool("crash", true);
			audioComponent.Play ();
		}
	}
}
